Package org.springframework.jmx.support

# Enum Class MetricType

java.lang.Object
java.lang.Enum<MetricType>
org.springframework.jmx.support.MetricType

All Implemented Interfaces:
  `Serializable`, `Comparable<MetricType>`, `Constable`

public enum MetricType extends Enum<MetricType>
Represents how the measurement values of a `ManagedMetric` will change over time.

Since:
  3.0
Author:
  Jennifer Hickey

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COUNTER`
The measurement values will always increase.
`GAUGE`
The measurement values may go up or down over time.

## Method Summary

Modifier and Type
Method
Description
`static MetricType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MetricType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GAUGE

public static final MetricType GAUGE
The measurement values may go up or down over time.

### COUNTER

public static final MetricType COUNTER
The measurement values will always increase.

## Method Details

### values

public static MetricType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MetricType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null